org.apache.lucene.codecs.simpletext

## Class SimpleTextCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.simpletext.SimpleTextCodec

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

      public final class SimpleTextCodec
      extends Codec

  plain text index format.

  FOR RECREATIONAL USE ONLY

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextCodec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocValuesFormat` | `docValuesFormat()`
    `FieldInfosFormat` | `fieldInfosFormat()`
    `LiveDocsFormat` | `liveDocsFormat()`
    `NormsFormat` | `normsFormat()`
    `PostingsFormat` | `postingsFormat()`
    `SegmentInfoFormat` | `segmentInfoFormat()`
    `StoredFieldsFormat` | `storedFieldsFormat()`
    `TermVectorsFormat` | `termVectorsFormat()`

    - ### Methods inherited from class org.apache.lucene.codecs.Codec

      `availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextCodec

          public SimpleTextCodec()

  - ### Method Detail

    - #### postingsFormat

          public PostingsFormat postingsFormat()

      Specified by:
        `postingsFormat` in class `Codec`

    - #### storedFieldsFormat

          public StoredFieldsFormat storedFieldsFormat()

      Specified by:
        `storedFieldsFormat` in class `Codec`

    - #### termVectorsFormat

          public TermVectorsFormat termVectorsFormat()

      Specified by:
        `termVectorsFormat` in class `Codec`

    - #### fieldInfosFormat

          public FieldInfosFormat fieldInfosFormat()

      Specified by:
        `fieldInfosFormat` in class `Codec`

    - #### segmentInfoFormat

          public SegmentInfoFormat segmentInfoFormat()

      Specified by:
        `segmentInfoFormat` in class `Codec`

    - #### normsFormat

          public NormsFormat normsFormat()

      Specified by:
        `normsFormat` in class `Codec`

    - #### liveDocsFormat

          public LiveDocsFormat liveDocsFormat()

      Specified by:
        `liveDocsFormat` in class `Codec`

    - #### docValuesFormat

          public DocValuesFormat docValuesFormat()

      Specified by:
        `docValuesFormat` in class `Codec`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.